Subject: Re: [PATCH 0/6] Convert hash-object to struct object_id

From: Junio C Hamano <[email-masked]>
Date: Sun, 20 Aug 2017 21:59:58 -0700

"brian m. carlson" <[email-masked]> writes:

> On Sun, Aug 20, 2017 at 10:09:25PM +0200, Patryk Obara wrote:
>> This enabled conversion of few functions in sha1_file, which
>> had almost all callers converted already.
>> 
>> I hope I'm not stepping on anyone's toes with this patch series.
>> If I do - is there some email thread or document in which I can
>> coordinate with other developers, regarding which code regions
>> are being converted to struct object_id next?
>
> We don't have a coordinated thread at the moment.  You can see what I'm
> working on at https://github.com/bk2204/git.git in the object-id-part10
> and object-id-part11 branches (based on an older next).
>
> However, having said that, I don't mind if you or others pick up various
> parts of the codebase.  At worst, I drop a few patches for things others
> have already converted.

Thanks for working well together ;-)

I've scanned these patches and they looked OK.  There still are
places that dereferences oid->hash when making a call instead of
passing a pointer to the whole oid, but that is not making things
worse.

As to the naming (your comments on 5/6), I agree that we would need
to switch s/sha1/oid/ in the names in the endgame.  It may be OK to
leave it to later rounds when we do use something like your hash
algorithm abstraction throughout the codebase.